﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup Label="Globals">
        <SccProjectName>SAK</SccProjectName>
        <SccProvider>SAK</SccProvider>
        <SccAuxPath>SAK</SccAuxPath>
        <SccLocalPath>SAK</SccLocalPath>
    </PropertyGroup>

    <PropertyGroup>
        <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
        <RootNamespace>Tecan.Sila2.DynamicClient</RootNamespace>
        <AssemblyName>Tecan.Sila2.DynamicClient</AssemblyName>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <LangVersion>latest</LangVersion>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <OutputPath>..\Build\</OutputPath>
        <DocumentationFile>..\Build\Tecan.Sila2.DynamicClient.xml</DocumentationFile>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <OutputPath>..\Build\</OutputPath>
        <DocumentationFile>..\Build\Tecan.Sila2.DynamicClient.xml</DocumentationFile>
    </PropertyGroup>

    <ItemGroup>
        <Compile Include="..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Contracts\Contracts.csproj" />
        <ProjectReference Include="..\Features\Cancellation.Client\Cancellation.Client.csproj" />
        <ProjectReference Include="..\Framework\Framework.csproj" />
    </ItemGroup>
</Project>